@echo off
echo Updating Lumistar Windows 10 (x64) Software
echo Version 1.0
echo 06 March 2018
echo.

:: Check for Windows 10 (x64) Lumistar Software
IF NOT EXIST C:\Lumistar_64 goto NoLumi

:: Is LDPS_8x installed
IF NOT EXIST C:\Lumistar_64\LDPS_8x goto Lrrs_3x
echo ---- Updating LDPS_8x ----
XCOPY .\W10_x64\LDPS_8x C:\Lumistar_64\LDPS_8x /siy
echo.

:Lrrs_3x
:: Is Lrrs_3x installed
IF NOT EXIST C:\Lumistar_64\Lrrs_3x goto Ls7x_DynaSim
echo ---- Updating Lrrs_3x ----
XCOPY .\W10_x64\Lrrs_3x C:\Lumistar_64\Lrrs_3x /siy
echo.

:Ls7x_DynaSim
:: Is Ls7x_DynaSim installed
IF NOT EXIST C:\Lumistar_64\Ls7x_DynaSim goto End
echo ---- Updating Ls7x_DynaSim ----
XCOPY .\W10_x64\Ls7x_DynaSim C:\Lumistar_64\Ls7x_DynaSim /siy
echo.

GOTO End

:NoLumi
echo              ### NO Lumistar Software is installed. ###  
echo Install Lumistar Software or update setup file to point to correct location.
echo.

:End
echo Copying complete.
echo Press any key to exit.
pause > nul

